Debian Bug report logs - #599507
KVM: SVM: Fix wrong intercept masks on 32 bit

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Philipp Hahn <hahn@univention.de>

Date: Fri, 8 Oct 2010 08:18:05 UTC

Severity: normal

Tags: confirmed

Merged with 604604

Found in version 2.6.32-27

Fixed in version linux-2.6/2.6.32-28

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, stable@kernel.org, joerg.roedel@amd.com, unknown-package@qa.debian.org:
Bug#599507; Package linux-2.6.32. (Fri, 08 Oct 2010 08:18:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Hahn <hahn@univention.de>:
New Bug report received and forwarded. Copy sent to stable@kernel.org, joerg.roedel@amd.com, unknown-package@qa.debian.org. (Fri, 08 Oct 2010 08:18:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Philipp Hahn <hahn@univention.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: KVM: SVM: Fix wrong intercept masks on 32 bit
Date: Fri, 8 Oct 2010 10:03:57 +0200
[Message part 1 (text/plain, inline)]
Package: linux-2.6.32
Severity: normal

When trying to reboot an ia32 guest, an ia32 kvm running on an Amd64
cpu reports the following error:
 kvm: unhandled exit ffffffff
 kvm_run returned -22

This bug was fixed for linux-2.6.34 but is still present in 2.6.32.
<http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=061e2fd16863009c8005b4b5fdfb75c7215c0b99>
> KVM: SVM: Fix wrong intercept masks on 32 bit
> 
> This patch makes KVM on 32 bit SVM working again by
> correcting the masks used for iret interception. With the
> wrong masks the upper 32 bits of the intercepts are masked
> out which leaves vmrun unintercepted. This is not legal on
> svm and the vmrun fails.
> Bug was introduced by commits 95ba827313 and 3cfc3092.

It only happens on Amd cpus, Intel cpus are unaffected.

Please conside applying this patch to the 2.6.32 stable branch as well.

Sincerely
Philipp Hahn
-- System Information:
Debian Release: 5.0.1
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.32-ucs11-amd64
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
[061e2fd16863009c8005b4b5fdfb75c7215c0b99.patch (text/x-diff, inline)]
commit 061e2fd16863009c8005b4b5fdfb75c7215c0b99
Author: Joerg Roedel <joerg.roedel@amd.com>
Date:   Wed May 5 16:04:43 2010 +0200

    KVM: SVM: Fix wrong intercept masks on 32 bit
    
    This patch makes KVM on 32 bit SVM working again by
    correcting the masks used for iret interception. With the
    wrong masks the upper 32 bits of the intercepts are masked
    out which leaves vmrun unintercepted. This is not legal on
    svm and the vmrun fails.
    Bug was introduced by commits 95ba827313 and 3cfc3092.
    
    Cc: Jan Kiszka <jan.kiszka@siemens.com>
    Cc: Gleb Natapov <gleb@redhat.com>
    Cc: stable@kernel.org
    Signed-off-by: Joerg Roedel <joerg.roedel@amd.com>
    Signed-off-by: Avi Kivity <avi@redhat.com>

diff --git a/arch/x86/kvm/svm.c b/arch/x86/kvm/svm.c
index 2ba5820..737361f 100644
--- a/arch/x86/kvm/svm.c
+++ b/arch/x86/kvm/svm.c
@@ -2067,7 +2067,7 @@ static int cpuid_interception(struct vcpu_svm *svm)
 static int iret_interception(struct vcpu_svm *svm)
 {
 	++svm->vcpu.stat.nmi_window_exits;
-	svm->vmcb->control.intercept &= ~(1UL << INTERCEPT_IRET);
+	svm->vmcb->control.intercept &= ~(1ULL << INTERCEPT_IRET);
 	svm->vcpu.arch.hflags |= HF_IRET_MASK;
 	return 1;
 }
@@ -2479,7 +2479,7 @@ static void svm_inject_nmi(struct kvm_vcpu *vcpu)
 
 	svm->vmcb->control.event_inj = SVM_EVTINJ_VALID | SVM_EVTINJ_TYPE_NMI;
 	vcpu->arch.hflags |= HF_NMI_MASK;
-	svm->vmcb->control.intercept |= (1UL << INTERCEPT_IRET);
+	svm->vmcb->control.intercept |= (1ULL << INTERCEPT_IRET);
 	++vcpu->stat.nmi_injections;
 }
 
@@ -2539,10 +2539,10 @@ static void svm_set_nmi_mask(struct kvm_vcpu *vcpu, bool masked)
 
 	if (masked) {
 		svm->vcpu.arch.hflags |= HF_NMI_MASK;
-		svm->vmcb->control.intercept |= (1UL << INTERCEPT_IRET);
+		svm->vmcb->control.intercept |= (1ULL << INTERCEPT_IRET);
 	} else {
 		svm->vcpu.arch.hflags &= ~HF_NMI_MASK;
-		svm->vmcb->control.intercept &= ~(1UL << INTERCEPT_IRET);
+		svm->vmcb->control.intercept &= ~(1ULL << INTERCEPT_IRET);
 	}
 }
 
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'linux-2.6.32' to 'linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Fri, 08 Oct 2010 16:03:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599507; Package linux-2.6. (Sun, 10 Oct 2010 01:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 10 Oct 2010 01:03:03 GMT) Full text and rfc822 format available.

Message #12 received at 599507@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Philipp Hahn <hahn@univention.de>, 599507@bugs.debian.org
Subject: Re: Bug#599507: KVM: SVM: Fix wrong intercept masks on 32 bit
Date: Sun, 10 Oct 2010 02:00:14 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2010-10-08 at 10:03 +0200, Philipp Hahn wrote:
> Package: linux-2.6.32
> Severity: normal
> 
> When trying to reboot an ia32 guest, an ia32 kvm running on an Amd64
> cpu reports the following error:
>  kvm: unhandled exit ffffffff
>  kvm_run returned -22
> 
> This bug was fixed for linux-2.6.34 but is still present in 2.6.32.
> <http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=061e2fd16863009c8005b4b5fdfb75c7215c0b99>
> > KVM: SVM: Fix wrong intercept masks on 32 bit
> > 
> > This patch makes KVM on 32 bit SVM working again by
> > correcting the masks used for iret interception. With the
> > wrong masks the upper 32 bits of the intercepts are masked
> > out which leaves vmrun unintercepted. This is not legal on
> > svm and the vmrun fails.
> > Bug was introduced by commits 95ba827313 and 3cfc3092.
> 
> It only happens on Amd cpus, Intel cpus are unaffected.
> 
> Please conside applying this patch to the 2.6.32 stable branch as well.

I've adjusted the fix for 2.6.32, applied it to the Debian package and
forwarded it to stable@kernel.org.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Sun, 10 Oct 2010 01:03:04 GMT) Full text and rfc822 format available.

Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Fri, 15 Oct 2010 00:15:26 GMT) Full text and rfc822 format available.

Notification sent to Philipp Hahn <hahn@univention.de>:
Bug acknowledged by developer. (Fri, 15 Oct 2010 00:15:26 GMT) Full text and rfc822 format available.

Message #19 received at 599507-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 599507-close@bugs.debian.org
Subject: Bug#599507: fixed in linux-2.6 2.6.32-25
Date: Fri, 15 Oct 2010 00:12:26 +0000
Source: linux-2.6
Source-Version: 2.6.32-25

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.32-25_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.32-25_all.deb
linux-2.6_2.6.32-25.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.32-25.diff.gz
linux-2.6_2.6.32-25.dsc
  to main/l/linux-2.6/linux-2.6_2.6.32-25.dsc
linux-base_2.6.32-25_all.deb
  to main/l/linux-2.6/linux-base_2.6.32-25_all.deb
linux-doc-2.6.32_2.6.32-25_all.deb
  to main/l/linux-2.6/linux-doc-2.6.32_2.6.32-25_all.deb
linux-headers-2.6.32-5-486_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-486_2.6.32-25_i386.deb
linux-headers-2.6.32-5-686-bigmem_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-686-bigmem_2.6.32-25_i386.deb
linux-headers-2.6.32-5-686_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-686_2.6.32-25_i386.deb
linux-headers-2.6.32-5-all-i386_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-all-i386_2.6.32-25_i386.deb
linux-headers-2.6.32-5-all_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-all_2.6.32-25_i386.deb
linux-headers-2.6.32-5-amd64_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-amd64_2.6.32-25_i386.deb
linux-headers-2.6.32-5-common-openvz_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-openvz_2.6.32-25_i386.deb
linux-headers-2.6.32-5-common-vserver_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-vserver_2.6.32-25_i386.deb
linux-headers-2.6.32-5-common-xen_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-xen_2.6.32-25_i386.deb
linux-headers-2.6.32-5-common_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common_2.6.32-25_i386.deb
linux-headers-2.6.32-5-openvz-686_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-openvz-686_2.6.32-25_i386.deb
linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-25_i386.deb
linux-headers-2.6.32-5-vserver-686_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-vserver-686_2.6.32-25_i386.deb
linux-headers-2.6.32-5-xen-686_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-xen-686_2.6.32-25_i386.deb
linux-image-2.6.32-5-486_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-486_2.6.32-25_i386.deb
linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-25_i386.deb
linux-image-2.6.32-5-686-bigmem_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-686-bigmem_2.6.32-25_i386.deb
linux-image-2.6.32-5-686_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-686_2.6.32-25_i386.deb
linux-image-2.6.32-5-amd64_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-amd64_2.6.32-25_i386.deb
linux-image-2.6.32-5-openvz-686-dbg_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-openvz-686-dbg_2.6.32-25_i386.deb
linux-image-2.6.32-5-openvz-686_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-openvz-686_2.6.32-25_i386.deb
linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-25_i386.deb
linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-25_i386.deb
linux-image-2.6.32-5-vserver-686_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-686_2.6.32-25_i386.deb
linux-image-2.6.32-5-xen-686-dbg_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-xen-686-dbg_2.6.32-25_i386.deb
linux-image-2.6.32-5-xen-686_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-xen-686_2.6.32-25_i386.deb
linux-libc-dev_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-libc-dev_2.6.32-25_i386.deb
linux-manual-2.6.32_2.6.32-25_all.deb
  to main/l/linux-2.6/linux-manual-2.6.32_2.6.32-25_all.deb
linux-patch-debian-2.6.32_2.6.32-25_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.32_2.6.32-25_all.deb
linux-source-2.6.32_2.6.32-25_all.deb
  to main/l/linux-2.6/linux-source-2.6.32_2.6.32-25_all.deb
linux-support-2.6.32-5_2.6.32-25_all.deb
  to main/l/linux-2.6/linux-support-2.6.32-5_2.6.32-25_all.deb
linux-tools-2.6.32_2.6.32-25_i386.deb
  to main/l/linux-2.6/linux-tools-2.6.32_2.6.32-25_i386.deb
xen-linux-system-2.6.32-5-xen-686_2.6.32-25_i386.deb
  to main/l/linux-2.6/xen-linux-system-2.6.32-5-xen-686_2.6.32-25_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 599507@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 14 Oct 2010 01:08:05 -0600
Source: linux-2.6
Binary: linux-tools-2.6.32 linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-5 linux-base linux-libc-dev linux-headers-2.6.32-5-all linux-headers-2.6.32-5-all-alpha linux-headers-2.6.32-5-common linux-image-2.6.32-5-alpha-generic linux-headers-2.6.32-5-alpha-generic linux-image-2.6.32-5-alpha-smp linux-headers-2.6.32-5-alpha-smp linux-image-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-all-amd64 linux-image-2.6.32-5-amd64 linux-headers-2.6.32-5-amd64 linux-image-2.6.32-5-amd64-dbg linux-headers-2.6.32-5-common-openvz linux-image-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-openvz-amd64 linux-image-2.6.32-5-openvz-amd64-dbg linux-headers-2.6.32-5-common-vserver linux-image-2.6.32-5-vserver-amd64 linux-headers-2.6.32-5-vserver-amd64 linux-image-2.6.32-5-vserver-amd64-dbg linux-headers-2.6.32-5-common-xen linux-image-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64-dbg xen-linux-system-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-all-armel linux-image-2.6.32-5-iop32x linux-headers-2.6.32-5-iop32x linux-image-2.6.32-5-ixp4xx linux-headers-2.6.32-5-ixp4xx linux-image-2.6.32-5-kirkwood linux-headers-2.6.32-5-kirkwood linux-image-2.6.32-5-orion5x linux-headers-2.6.32-5-orion5x linux-image-2.6.32-5-versatile linux-headers-2.6.32-5-versatile linux-headers-2.6.32-5-all-hppa linux-image-2.6.32-5-parisc linux-headers-2.6.32-5-parisc linux-image-2.6.32-5-parisc-smp linux-headers-2.6.32-5-parisc-smp linux-image-2.6.32-5-parisc64 linux-headers-2.6.32-5-parisc64 linux-image-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-all-i386 linux-image-2.6.32-5-486 linux-headers-2.6.32-5-486 linux-image-2.6.32-5-686 linux-headers-2.6.32-5-686 linux-image-2.6.32-5-686-bigmem linux-headers-2.6.32-5-686-bigmem linux-image-2.6.32-5-686-bigmem-dbg linux-image-2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-686 linux-image-2.6.32-5-openvz-686-dbg linux-image-2.6.32-5-vserver-686 linux-headers-2.6.32-5-vserver-686 linux-image-2.6.32-5-vserver-686-bigmem linux-headers-2.6.32-5-vserver-686-bigmem linux-image-2.6.32-5-vserver-686-bigmem-dbg linux-image-2.6.32-5-xen-686 linux-headers-2.6.32-5-xen-686 linux-image-2.6.32-5-xen-686-dbg xen-linux-system-2.6.32-5-xen-686 linux-headers-2.6.32-5-all-ia64 linux-image-2.6.32-5-itanium linux-headers-2.6.32-5-itanium linux-image-2.6.32-5-mckinley linux-headers-2.6.32-5-mckinley linux-image-2.6.32-5-vserver-itanium linux-headers-2.6.32-5-vserver-itanium linux-image-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-all-m68k linux-image-2.6.32-5-amiga linux-headers-2.6.32-5-amiga linux-image-2.6.32-5-atari linux-headers-2.6.32-5-atari linux-image-2.6.32-5-bvme6000 linux-headers-2.6.32-5-bvme6000 linux-image-2.6.32-5-mac linux-headers-2.6.32-5-mac
 linux-image-2.6.32-5-mvme147 linux-headers-2.6.32-5-mvme147 linux-image-2.6.32-5-mvme16x linux-headers-2.6.32-5-mvme16x linux-headers-2.6.32-5-all-mips linux-image-2.6.32-5-r4k-ip22 linux-headers-2.6.32-5-r4k-ip22 linux-image-2.6.32-5-r5k-ip32 linux-headers-2.6.32-5-r5k-ip32 linux-image-2.6.32-5-sb1-bcm91250a linux-headers-2.6.32-5-sb1-bcm91250a linux-image-2.6.32-5-sb1a-bcm91480b linux-headers-2.6.32-5-sb1a-bcm91480b linux-image-2.6.32-5-4kc-malta linux-headers-2.6.32-5-4kc-malta linux-image-2.6.32-5-5kc-malta linux-headers-2.6.32-5-5kc-malta linux-headers-2.6.32-5-all-mipsel linux-image-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-all-powerpc linux-image-2.6.32-5-powerpc linux-headers-2.6.32-5-powerpc linux-image-2.6.32-5-powerpc-smp linux-headers-2.6.32-5-powerpc-smp linux-image-2.6.32-5-powerpc64 linux-headers-2.6.32-5-powerpc64 linux-image-2.6.32-5-vserver-powerpc linux-headers-2.6.32-5-vserver-powerpc
 linux-image-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-all-s390 linux-image-2.6.32-5-s390x linux-headers-2.6.32-5-s390x linux-image-2.6.32-5-s390x-tape linux-image-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-all-sh4 linux-image-2.6.32-5-sh7751r linux-headers-2.6.32-5-sh7751r linux-image-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-all-sparc linux-image-2.6.32-5-sparc64 linux-headers-2.6.32-5-sparc64 linux-image-2.6.32-5-sparc64-smp linux-headers-2.6.32-5-sparc64-smp linux-image-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-all-sparc64
Architecture: source all i386
Version: 2.6.32-25
Distribution: unstable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-5-486 - Header files for Linux 2.6.32-5-486
 linux-headers-2.6.32-5-4kc-malta - Header files for Linux 2.6.32-5-4kc-malta
 linux-headers-2.6.32-5-5kc-malta - Header files for Linux 2.6.32-5-5kc-malta
 linux-headers-2.6.32-5-686 - Header files for Linux 2.6.32-5-686
 linux-headers-2.6.32-5-686-bigmem - Header files for Linux 2.6.32-5-686-bigmem
 linux-headers-2.6.32-5-all - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-alpha - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-amd64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-armel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-hppa - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-i386 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-ia64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-m68k - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mips - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mipsel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-powerpc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-s390 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sh4 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-alpha-generic - Header files for Linux 2.6.32-5-alpha-generic
 linux-headers-2.6.32-5-alpha-legacy - Header files for Linux 2.6.32-5-alpha-legacy
 linux-headers-2.6.32-5-alpha-smp - Header files for Linux 2.6.32-5-alpha-smp
 linux-headers-2.6.32-5-amd64 - Header files for Linux 2.6.32-5-amd64
 linux-headers-2.6.32-5-amiga - Header files for Linux 2.6.32-5-amiga
 linux-headers-2.6.32-5-atari - Header files for Linux 2.6.32-5-atari
 linux-headers-2.6.32-5-bvme6000 - Header files for Linux 2.6.32-5-bvme6000
 linux-headers-2.6.32-5-common - Common header files for Linux 2.6.32-5
 linux-headers-2.6.32-5-common-openvz - Common header files for Linux 2.6.32-5-openvz
 linux-headers-2.6.32-5-common-vserver - Common header files for Linux 2.6.32-5-vserver
 linux-headers-2.6.32-5-common-xen - Common header files for Linux 2.6.32-5-xen
 linux-headers-2.6.32-5-iop32x - Header files for Linux 2.6.32-5-iop32x
 linux-headers-2.6.32-5-itanium - Header files for Linux 2.6.32-5-itanium
 linux-headers-2.6.32-5-ixp4xx - Header files for Linux 2.6.32-5-ixp4xx
 linux-headers-2.6.32-5-kirkwood - Header files for Linux 2.6.32-5-kirkwood
 linux-headers-2.6.32-5-mac - Header files for Linux 2.6.32-5-mac
 linux-headers-2.6.32-5-mckinley - Header files for Linux 2.6.32-5-mckinley
 linux-headers-2.6.32-5-mvme147 - Header files for Linux 2.6.32-5-mvme147
 linux-headers-2.6.32-5-mvme16x - Header files for Linux 2.6.32-5-mvme16x
 linux-headers-2.6.32-5-openvz-686 - Header files for Linux 2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-amd64 - Header files for Linux 2.6.32-5-openvz-amd64
 linux-headers-2.6.32-5-orion5x - Header files for Linux 2.6.32-5-orion5x
 linux-headers-2.6.32-5-parisc - Header files for Linux 2.6.32-5-parisc
 linux-headers-2.6.32-5-parisc-smp - Header files for Linux 2.6.32-5-parisc-smp
 linux-headers-2.6.32-5-parisc64 - Header files for Linux 2.6.32-5-parisc64
 linux-headers-2.6.32-5-parisc64-smp - Header files for Linux 2.6.32-5-parisc64-smp
 linux-headers-2.6.32-5-powerpc - Header files for Linux 2.6.32-5-powerpc
 linux-headers-2.6.32-5-powerpc-smp - Header files for Linux 2.6.32-5-powerpc-smp
 linux-headers-2.6.32-5-powerpc64 - Header files for Linux 2.6.32-5-powerpc64
 linux-headers-2.6.32-5-r4k-ip22 - Header files for Linux 2.6.32-5-r4k-ip22
 linux-headers-2.6.32-5-r5k-cobalt - Header files for Linux 2.6.32-5-r5k-cobalt
 linux-headers-2.6.32-5-r5k-ip32 - Header files for Linux 2.6.32-5-r5k-ip32
 linux-headers-2.6.32-5-s390x - Header files for Linux 2.6.32-5-s390x
 linux-headers-2.6.32-5-sb1-bcm91250a - Header files for Linux 2.6.32-5-sb1-bcm91250a
 linux-headers-2.6.32-5-sb1a-bcm91480b - Header files for Linux 2.6.32-5-sb1a-bcm91480b
 linux-headers-2.6.32-5-sh7751r - Header files for Linux 2.6.32-5-sh7751r
 linux-headers-2.6.32-5-sh7785lcr - Header files for Linux 2.6.32-5-sh7785lcr
 linux-headers-2.6.32-5-sparc64 - Header files for Linux 2.6.32-5-sparc64
 linux-headers-2.6.32-5-sparc64-smp - Header files for Linux 2.6.32-5-sparc64-smp
 linux-headers-2.6.32-5-versatile - Header files for Linux 2.6.32-5-versatile
 linux-headers-2.6.32-5-vserver-686 - Header files for Linux 2.6.32-5-vserver-686
 linux-headers-2.6.32-5-vserver-686-bigmem - Header files for Linux 2.6.32-5-vserver-686-bigmem
 linux-headers-2.6.32-5-vserver-amd64 - Header files for Linux 2.6.32-5-vserver-amd64
 linux-headers-2.6.32-5-vserver-itanium - Header files for Linux 2.6.32-5-vserver-itanium
 linux-headers-2.6.32-5-vserver-mckinley - Header files for Linux 2.6.32-5-vserver-mckinley
 linux-headers-2.6.32-5-vserver-powerpc - Header files for Linux 2.6.32-5-vserver-powerpc
 linux-headers-2.6.32-5-vserver-powerpc64 - Header files for Linux 2.6.32-5-vserver-powerpc64
 linux-headers-2.6.32-5-vserver-s390x - Header files for Linux 2.6.32-5-vserver-s390x
 linux-headers-2.6.32-5-vserver-sparc64 - Header files for Linux 2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-xen-686 - Header files for Linux 2.6.32-5-xen-686
 linux-headers-2.6.32-5-xen-amd64 - Header files for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-5-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-5-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-5-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-5-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-5-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-686-bigmem
 linux-image-2.6.32-5-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-5-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-5-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-5-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-5-amd64-dbg - Debugging infos for Linux 2.6.32-5-amd64
 linux-image-2.6.32-5-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-5-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-5-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-5-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-5-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-5-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-5-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-5-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-5-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-5-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-5-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-5-openvz-686 - Linux 2.6.32 for modern PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-686-dbg - Debugging infos for Linux 2.6.32-5-openvz-686
 linux-image-2.6.32-5-openvz-amd64 - Linux 2.6.32 for 64-bit PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-amd64-dbg - Debugging infos for Linux 2.6.32-5-openvz-amd64
 linux-image-2.6.32-5-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-5-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-5-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-5-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-5-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-5-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-5-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-5-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-5-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-5-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-5-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-5-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-5-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-5-sh7751r - Linux 2.6.32 for sh7751r
 linux-image-2.6.32-5-sh7785lcr - Linux 2.6.32 for sh7785lcr
 linux-image-2.6.32-5-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-versatile - Linux 2.6.32 for Versatile
 linux-image-2.6.32-5-vserver-686 - Linux 2.6.32 for modern PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM, Linux-VServer support
 linux-image-2.6.32-5-vserver-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-vserver-686-bigmem
 linux-image-2.6.32-5-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-amd64-dbg - Debugging infos for Linux 2.6.32-5-vserver-amd64
 linux-image-2.6.32-5-vserver-itanium - Linux 2.6.32 for Itanium, Linux-VServer support
 linux-image-2.6.32-5-vserver-mckinley - Linux 2.6.32 for Itanium II, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC, Linux-VServer suppo
 linux-image-2.6.32-5-vserver-powerpc64 - Linux 2.6.32 for 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.32-5-vserver-s390x - Linux 2.6.32 for IBM zSeries, Linux-VServer support
 linux-image-2.6.32-5-vserver-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC, Linux-VServer su
 linux-image-2.6.32-5-xen-686 - Linux 2.6.32 for modern PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-686-dbg - Debugging infos for Linux 2.6.32-5-xen-686
 linux-image-2.6.32-5-xen-amd64 - Linux 2.6.32 for 64-bit PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-amd64-dbg - Debugging infos for Linux 2.6.32-5-xen-amd64
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-5 - Support files for Linux 2.6.32
 linux-tools-2.6.32 - Performance analysis tools for Linux 2.6.32
 xen-linux-system-2.6.32-5-xen-686 - Xen system with Linux 2.6.32 on modern PCs (meta-package)
 xen-linux-system-2.6.32-5-xen-amd64 - Xen system with Linux 2.6.32 on 64-bit PCs (meta-package)
Closes: 518182 588551 598518 599021 599089 599395 599457 599507 599768
Changes: 
 linux-2.6 (2.6.32-25) unstable; urgency=high
 .
   [ Ben Hutchings ]
   * mmc: build fix: mmc_pm_notify is only available with CONFIG_PM=y
   * Add stable 2.6.32.24 (trivial fix, already applied)
   * ipg: Remove device claimed by dl2k from pci id table (Closes: #599021)
   * linux-image: Include modules.order in image packages (Closes: #598518)
   * [x86] isdn/i4l: Reenable ISDN4Linux drivers, but mark them as staging
     (Closes: #588551)
     - hisax: Disable device aliases that conflict with mISDN
   * Update Danish debconf template translation (Joe Hansen) (Closes: #599457)
   * [x86] KVM: SVM: Fix wrong intercept masks on 32 bit (Closes: #599507)
   * e1000: fix Tx hangs by disabling 64-bit DMA (Closes: #518182)
   * rt2x00: Fix calculation of required TX headroom (Closes: #599395)
   * Add drm changes from 2.6.32.22+drm33.10:
     - i915: Don't touch PORT_HOTPLUG_EN in intel_dp_detect()
     - i915: Kill dangerous pending-flip debugging
     - radeon: release AGP bridge at suspend
     - radeon: initialize set_surface_reg for rs600 asic
   * [x86] toshiba_acpi: Add full hotkey support (Closes: #599768)
 .
   [ Stephen R. Marenka ]
   * m68k: fix missing io macros.
   * m68k: modular swim on mac.
   * m68k: never build staging drivers on m68k.
   * m68k: build in rtc class on atari.
 .
   [ Ian Campbell ]
   * xen: do not truncate machine address on gnttab_copy_grant_page hypercall
     (Closes: #599089)
 .
   [ dann frazier ]
   * drm/i915: Sanity check pread/pwrite (CVE-2010-2962)
   * drm/i915: Rephrase pwrite bounds checking to avoid any potential overflow
   * GFS2: Fix writing to non-page aligned gfs2_quota structures (CVE-2010-1436)
   * hvc_console: Fix race between hvc_close and hvc_remove (CVE-2010-2653)
   * net sched: fix some kernel memory leaks (CVE-2010-2942)
   * niu: Fix kernel buffer overflow for ETHTOOL_GRXCLSRLALL (CVE-2010-3084)
   * rose: Fix signedness issues wrt. digi count (CVE-2010-3310)
   * Fix pktcdvd ioctl dev_minor range check (CVE-2010-3437)
   * ALSA: prevent heap corruption in snd_ctl_new() (CVE-2010-3442)
   * net sched: fix kernel leak in act_police (CVE-2010-3477)
   * sctp: Fix out-of-bounds reading in sctp_asoc_get_hmac() (CVE-2010-3705)
Checksums-Sha1: 
 c1ad34fb456b4a216f0935ea5af7723c4ecbf07b 6329 linux-2.6_2.6.32-25.dsc
 6fada680e1969f55d90876168d6d3c33a4eb4db4 13265962 linux-2.6_2.6.32-25.diff.gz
 081c34be29247bcb2c30df68c1ea3278418056c8 6044936 linux-doc-2.6.32_2.6.32-25_all.deb
 7e2c63446652d327518bb5ec85d0070dac4647f7 2722130 linux-manual-2.6.32_2.6.32-25_all.deb
 95499c8890865275a86e7c8c2df3e7ca879893a8 6822232 linux-patch-debian-2.6.32_2.6.32-25_all.deb
 354a75476c427498c25e772a464ece588f89bec3 64802158 linux-source-2.6.32_2.6.32-25_all.deb
 6ec7c34f97259a136ba34c87d6b6ae0ff144605f 151624 linux-support-2.6.32-5_2.6.32-25_all.deb
 3c3200cedffa482c1bdf76e6cecb20973b3b08e5 139972 firmware-linux-free_2.6.32-25_all.deb
 74563d2393b7fab50d00b1cca372aef48a1d56e2 158580 linux-base_2.6.32-25_all.deb
 b44d0c0a3c619bb7379c411f85c348769a6085b7 27167756 linux-image-2.6.32-5-486_2.6.32-25_i386.deb
 b133484600467e9b7de9f416b98ca0c6581a9390 483898 linux-headers-2.6.32-5-486_2.6.32-25_i386.deb
 4cc9fda5d840840fcfd4537da9ef7af4b7223b65 27309450 linux-image-2.6.32-5-686_2.6.32-25_i386.deb
 ab2dd79b4bd5b6302ddc778495ef51a231ff244a 485068 linux-headers-2.6.32-5-686_2.6.32-25_i386.deb
 7a6994e0534f013f19950ac3cff310596846dcc6 27507046 linux-image-2.6.32-5-686-bigmem_2.6.32-25_i386.deb
 7c0169e6de8ce0ccabbf63280b37532e685054a2 414325950 linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-25_i386.deb
 2c9dc8b4210e66b80c9a77bde828d736ed18c1ac 523684 linux-headers-2.6.32-5-686-bigmem_2.6.32-25_i386.deb
 dc16107b938930add545dabc0da1b4a481c0e59a 28389050 linux-image-2.6.32-5-amd64_2.6.32-25_i386.deb
 00ede8296e315eed33b0a3ce6896032628ffa814 479484 linux-headers-2.6.32-5-amd64_2.6.32-25_i386.deb
 5c17633e2891b5159da51dc4f991bc7c6f227121 3882982 linux-headers-2.6.32-5-common_2.6.32-25_i386.deb
 ac7b9944cfea5cbb02ea30c3c8d7295994a08574 27644080 linux-image-2.6.32-5-openvz-686_2.6.32-25_i386.deb
 f6941af762f7f97864dfc8d456f073fac583f46d 489247594 linux-image-2.6.32-5-openvz-686-dbg_2.6.32-25_i386.deb
 9d9488b8a1fe4ce784425b582c64e1fd73c711d7 548354 linux-headers-2.6.32-5-openvz-686_2.6.32-25_i386.deb
 fdcfbe015dd78a3dd985966b6fc3d5882f6e2239 3934452 linux-headers-2.6.32-5-common-openvz_2.6.32-25_i386.deb
 785f7e6fd8e5c3799630206fbd70523ee3d0ada5 135192 linux-headers-2.6.32-5-all_2.6.32-25_i386.deb
 79f7c6a87a8f50cffe7963e67347eb628c75b85e 135246 linux-headers-2.6.32-5-all-i386_2.6.32-25_i386.deb
 f19ca2b468a1791f95e6512ca0a9664066b3f92d 831990 linux-libc-dev_2.6.32-25_i386.deb
 f5edc05730ca16c46518e2453fbf2126252a17f7 284136 linux-tools-2.6.32_2.6.32-25_i386.deb
 4f82a89157b280924dc2ddfb9a900533bfafa285 27365308 linux-image-2.6.32-5-vserver-686_2.6.32-25_i386.deb
 bb1e73ecb0ad90b4f32466e4571337e176edacbc 485624 linux-headers-2.6.32-5-vserver-686_2.6.32-25_i386.deb
 ecfbda71ceaa92bab593aefee62b795522288aa4 27560112 linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-25_i386.deb
 5f836ffb79e5ceb7c5f2313065acf3907a04b159 424555158 linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-25_i386.deb
 4cbb108bd3a026364ec85765cf8ebc13d8588741 526370 linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-25_i386.deb
 db7008ada94d8979736dce9b3d2b361e13393642 3915800 linux-headers-2.6.32-5-common-vserver_2.6.32-25_i386.deb
 60b1bed2335137d526084dfd0a473ec408e3f4bc 27594270 linux-image-2.6.32-5-xen-686_2.6.32-25_i386.deb
 732ac8a9e5cb62a848bb965dc4c17e9ffefc32a3 417132102 linux-image-2.6.32-5-xen-686-dbg_2.6.32-25_i386.deb
 f0bffd073408224159892fa09c4ab71ad6459a8a 526444 linux-headers-2.6.32-5-xen-686_2.6.32-25_i386.deb
 f379e4cc9bdf2313b0644d69df6d30126930e506 135178 xen-linux-system-2.6.32-5-xen-686_2.6.32-25_i386.deb
 ae9fd3ab07e106c5b1cd7950c9100a0e8b897693 3900326 linux-headers-2.6.32-5-common-xen_2.6.32-25_i386.deb
Checksums-Sha256: 
 fefda6736f77858b0119903be3510a7835667c192964c72cd6eb6b84a839fdb1 6329 linux-2.6_2.6.32-25.dsc
 9059ff37bfe26a2fa2bdc6853dd520ec9ce08d7f46708bc1615923dac963d870 13265962 linux-2.6_2.6.32-25.diff.gz
 d41752191e826e14785f4103249861172941b493b9a59f4b679b7bf76d6db57f 6044936 linux-doc-2.6.32_2.6.32-25_all.deb
 fb783d3b1867812ef6eee29cf8865d278044a6bd83b7e3bf2d80684510ac2636 2722130 linux-manual-2.6.32_2.6.32-25_all.deb
 c4888f512cbb5d6c35152890da77630f0d3331dd0a6e872d52a1d93f9d8d6809 6822232 linux-patch-debian-2.6.32_2.6.32-25_all.deb
 6f5afbaf35ab10705925e9a78c53957f58b76d0fd837c8e3714ade00aa273634 64802158 linux-source-2.6.32_2.6.32-25_all.deb
 2814a2f965c5b8bd8e756d60eb010b6ea966d6979dd52ac87ec680eee6c11abd 151624 linux-support-2.6.32-5_2.6.32-25_all.deb
 08bd047df25ae05d9b4e6ffc00195b4251d115fdd3804255f22f5e1e1984d251 139972 firmware-linux-free_2.6.32-25_all.deb
 90ea33b94b645e7dc904210b3857876b7075ab51f56f6544e2bb801add5856a8 158580 linux-base_2.6.32-25_all.deb
 03a8928ab84e1beeedac41e4bbcd7c172ede03ea99a8da5908d5b8007e1de1e9 27167756 linux-image-2.6.32-5-486_2.6.32-25_i386.deb
 3eb6286413cf161bdfbf735c421e148b555c2174d66e0a42c878728ca4fc9ff1 483898 linux-headers-2.6.32-5-486_2.6.32-25_i386.deb
 7073c64d516dbd84e45a4d5fbe7ebeeae2be98ad8ca44c9776f420864efbd485 27309450 linux-image-2.6.32-5-686_2.6.32-25_i386.deb
 7899ff7dbf52e50179894f8d9d99e5ac7b7d0a8f773bbe6632bc7723087dda35 485068 linux-headers-2.6.32-5-686_2.6.32-25_i386.deb
 cf7b174aaca90e78d94e18b93eb113e72396cf2da4e5be819d4ddf50f7bd71d6 27507046 linux-image-2.6.32-5-686-bigmem_2.6.32-25_i386.deb
 d1883f47d48587d8be209fbfec82794169f2bdf42e44396b8b32cb011d6c69f5 414325950 linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-25_i386.deb
 7b58a5cec53f5a932d3523c3204bad7ee6f4efe2172611195c3194fcbc1196ff 523684 linux-headers-2.6.32-5-686-bigmem_2.6.32-25_i386.deb
 7453f159b33dd44baa502d34921d414dc3e03bb42fdb591f7b2e8ba44e644d77 28389050 linux-image-2.6.32-5-amd64_2.6.32-25_i386.deb
 3b9b90fc1eb0ca221c10a2cc59d3e9fbf1f55be0e8c391a493c9b974fd1f8145 479484 linux-headers-2.6.32-5-amd64_2.6.32-25_i386.deb
 5a49722ee95fe75efede6ec8af57b4515ae9cd911dfea2d8ea591bbdb726bb9f 3882982 linux-headers-2.6.32-5-common_2.6.32-25_i386.deb
 e6c13a1e9c4f86b23645a0dd86e15940628b8429c7f7cda0fcb20b4250a1aaa6 27644080 linux-image-2.6.32-5-openvz-686_2.6.32-25_i386.deb
 f88725dff30a784485b160c625f7e6bcc8084d799b31b2d5c5d66ac1cc18cae1 489247594 linux-image-2.6.32-5-openvz-686-dbg_2.6.32-25_i386.deb
 6de8eea476945481ec6b2e23f473d1729ba8ad94a3fa98378518917690a2ce0d 548354 linux-headers-2.6.32-5-openvz-686_2.6.32-25_i386.deb
 1f384d877a4cb8296934f9789c91dc8d6609052c969c398539e5e33db41c9da3 3934452 linux-headers-2.6.32-5-common-openvz_2.6.32-25_i386.deb
 c9face8621507cab3fc4314ac0a464adfe06e97c366541accfa262c550df2658 135192 linux-headers-2.6.32-5-all_2.6.32-25_i386.deb
 665d4025ae71cc735c289b77251f73b5a98b7153aed6c0a563ff540b7bc92eeb 135246 linux-headers-2.6.32-5-all-i386_2.6.32-25_i386.deb
 cb61c43191f1f4a86d2f124266c31aec14d33636ea74e8e45432e5f8016eac29 831990 linux-libc-dev_2.6.32-25_i386.deb
 1c0e009a45c7c3859ae20b653ea4383f87e53639d7a419f9015cd7b3b8757312 284136 linux-tools-2.6.32_2.6.32-25_i386.deb
 2faa1003c0435489a3bd3120c975b5ed36d9417769c16d82a9c468c234380686 27365308 linux-image-2.6.32-5-vserver-686_2.6.32-25_i386.deb
 07abe5140d110e1db0e60214d64762b77b1a6690266eba55c37848c8a6c08754 485624 linux-headers-2.6.32-5-vserver-686_2.6.32-25_i386.deb
 f328dfac634cb01d9b795dafb74ed2ed1308f2f81011dd46fcda6bcd935999ad 27560112 linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-25_i386.deb
 8b9c004da85348ea78502ecc3f55d43e31ec9a8c142e48cad4e5b250ed2b0557 424555158 linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-25_i386.deb
 90b016d1f55ec15527807fae14a688eb20f00d5e458d4fc21d2ca3f92d7d3483 526370 linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-25_i386.deb
 a320c3ec6519a86399f51ebed816192fe8b8e44689e40b4c49b7a1be55946d65 3915800 linux-headers-2.6.32-5-common-vserver_2.6.32-25_i386.deb
 9a24a1e43df303a1acee89b00677616aca6b05c13a1f2f380850209d58d0bfdc 27594270 linux-image-2.6.32-5-xen-686_2.6.32-25_i386.deb
 aa821a037f37755f33c89bb895d560c4e357b43e179c39d9430bb26c44fe692f 417132102 linux-image-2.6.32-5-xen-686-dbg_2.6.32-25_i386.deb
 c833a32e0c448e30019efa0911e9d8a345646ee7accf464f8ac3b7620b005aec 526444 linux-headers-2.6.32-5-xen-686_2.6.32-25_i386.deb
 b5d4b7c555eeb3889f5b92b7cc5ba4cc3900bc158ccb65e7c9c48cc35024b23a 135178 xen-linux-system-2.6.32-5-xen-686_2.6.32-25_i386.deb
 734ec7bfd3f11ebb10d13528feb9e07805b6262b370782d3c5533d115c862c95 3900326 linux-headers-2.6.32-5-common-xen_2.6.32-25_i386.deb
Files: 
 0562009655dac8f85a6765fa4fb3e365 6329 kernel optional linux-2.6_2.6.32-25.dsc
 a2d3de301fbf9a71351bc30ec5322cad 13265962 kernel optional linux-2.6_2.6.32-25.diff.gz
 795ed01ea800ee09b2981e8415ddd72a 6044936 doc optional linux-doc-2.6.32_2.6.32-25_all.deb
 f73c637355f6e7893d93f4a6deab4e77 2722130 doc optional linux-manual-2.6.32_2.6.32-25_all.deb
 b451b9bc0dbdce3798a3dc1123bc4893 6822232 kernel optional linux-patch-debian-2.6.32_2.6.32-25_all.deb
 e2b2ca50a41633c3fa9a84d3b7a1ba8f 64802158 kernel optional linux-source-2.6.32_2.6.32-25_all.deb
 96cdb41c57c4f1655cd9df8cb9eaea29 151624 devel optional linux-support-2.6.32-5_2.6.32-25_all.deb
 0482f9fca28f89aaa6f18d0839f22500 139972 kernel optional firmware-linux-free_2.6.32-25_all.deb
 8634ebd77694572dd9b33af1e8716a58 158580 kernel optional linux-base_2.6.32-25_all.deb
 f29bd284665aad5f82cd2380c4378783 27167756 kernel optional linux-image-2.6.32-5-486_2.6.32-25_i386.deb
 ef0e901ec481cb66881d6e36c6cdf0c6 483898 kernel optional linux-headers-2.6.32-5-486_2.6.32-25_i386.deb
 9d77b10b1ce660a0e039790853539fda 27309450 kernel optional linux-image-2.6.32-5-686_2.6.32-25_i386.deb
 45b5460d56aa8b55990da8ca8d4ac577 485068 kernel optional linux-headers-2.6.32-5-686_2.6.32-25_i386.deb
 28d60b3be3e0a819f4f5dfb2c41ebcac 27507046 kernel optional linux-image-2.6.32-5-686-bigmem_2.6.32-25_i386.deb
 6347c4264634e0ad2a4f6bcd6d949580 414325950 debug extra linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-25_i386.deb
 951f416ea685dd477347bbfc285e3d0e 523684 kernel optional linux-headers-2.6.32-5-686-bigmem_2.6.32-25_i386.deb
 011f33982730c79e7dc5e7d342d349d5 28389050 kernel optional linux-image-2.6.32-5-amd64_2.6.32-25_i386.deb
 2fc9350f153bfb1caab4b53a8b25ae7e 479484 kernel optional linux-headers-2.6.32-5-amd64_2.6.32-25_i386.deb
 992bd6281ab22634d6a7580a516c4f6d 3882982 kernel optional linux-headers-2.6.32-5-common_2.6.32-25_i386.deb
 e7a5a66d5f79d9d423d861234aea8df7 27644080 kernel optional linux-image-2.6.32-5-openvz-686_2.6.32-25_i386.deb
 3f409ad4108c67e096cf47f9f0d5981c 489247594 debug extra linux-image-2.6.32-5-openvz-686-dbg_2.6.32-25_i386.deb
 e7ba275a4c18e97daa96f1a7b4876e59 548354 kernel optional linux-headers-2.6.32-5-openvz-686_2.6.32-25_i386.deb
 c749744a693518d0dc85485cb3429521 3934452 kernel optional linux-headers-2.6.32-5-common-openvz_2.6.32-25_i386.deb
 b1e2bd0e15805b055d50e8f351ce893f 135192 kernel optional linux-headers-2.6.32-5-all_2.6.32-25_i386.deb
 35851bb4e0ccdbcaa76a4f9a952ade05 135246 kernel optional linux-headers-2.6.32-5-all-i386_2.6.32-25_i386.deb
 b312ad6b6d30790ac7db4ed2e18e5c0e 831990 devel optional linux-libc-dev_2.6.32-25_i386.deb
 51c9f7695d19ecf2ca2f727c26276d7d 284136 kernel optional linux-tools-2.6.32_2.6.32-25_i386.deb
 b88a7276f18ca51092598a8c52e429ef 27365308 kernel optional linux-image-2.6.32-5-vserver-686_2.6.32-25_i386.deb
 c72f4bd8d170fe315a82d323d4711b12 485624 kernel optional linux-headers-2.6.32-5-vserver-686_2.6.32-25_i386.deb
 aee94a68a93ea1c570e66a697bf4422d 27560112 kernel optional linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-25_i386.deb
 fcd341a051d254912b62bba30ba63069 424555158 debug extra linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-25_i386.deb
 63de068cfaf9ea7d432abe6f8f6c470d 526370 kernel optional linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-25_i386.deb
 908dede1ccb619107a113ff2fcc2ae8b 3915800 kernel optional linux-headers-2.6.32-5-common-vserver_2.6.32-25_i386.deb
 200e16251e01044a2804ef69ecc07237 27594270 kernel optional linux-image-2.6.32-5-xen-686_2.6.32-25_i386.deb
 307101bd453c4117b28b2b601eecde6d 417132102 debug extra linux-image-2.6.32-5-xen-686-dbg_2.6.32-25_i386.deb
 ec3c499b8c55c55fd9a9e42295ce1a41 526444 kernel optional linux-headers-2.6.32-5-xen-686_2.6.32-25_i386.deb
 b07a3a436c8ff2d23dddbac49f7cb1d0 135178 kernel optional xen-linux-system-2.6.32-5-xen-686_2.6.32-25_i386.deb
 9df335d47c580f9257a55351250b02c1 3900326 kernel optional linux-headers-2.6.32-5-common-xen_2.6.32-25_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD4DBQFMt3KUhuANDBmkLRkRAh+ZAJig5TmqZzJJsNqGT0nICH50PNHaAJ47ky1t
UDPl9Dl8l01dkeJ2oyIBFw==
=yIam
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599507; Package linux-2.6. (Wed, 24 Nov 2010 14:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Matthias Hahn <pmhahn@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 24 Nov 2010 14:36:03 GMT) Full text and rfc822 format available.

Message #24 received at 599507@bugs.debian.org (full text, mbox):

From: Philipp Matthias Hahn <pmhahn@debian.org>
To: Debian Bug Tracking System <599507@bugs.debian.org>
Cc: control@bugs.debian.org
Subject: Re: SVM: Fix wrong intercept masks on 32 bit
Date: Wed, 24 Nov 2010 15:01:33 +0100
reopen 599507
found 599507 2.6.32-27
thanks

Package: linux-2.6.32
Severity: normal

The bug is not fixed, since
features/all/KVM-x86-Add-KVM_GET-SET_VCPU_EVENTS.patch from
debian/pacthes/series/12 introduces the new function svm_set_nmi_mask(),
which also has the wrong "1UL" instead of the correct "1ULL".

--- a/arch/x86/kvm/svm.c	2010-11-24 14:29:05.000000000 +0100
+++ b/arch/x86/kvm/svm.c	2010-11-24 13:24:35.000000000 +0100
@@ -2566,10 +2479,10 @@ static void svm_set_nmi_mask(struct kvm_
 
 	if (masked) {
 		svm->vcpu.arch.hflags |= HF_NMI_MASK;
-		svm->vmcb->control.intercept |= (1UL << INTERCEPT_IRET);
+		svm->vmcb->control.intercept |= (1ULL << INTERCEPT_IRET);
 	} else {
 		svm->vcpu.arch.hflags &= ~HF_NMI_MASK;
-		svm->vmcb->control.intercept &= ~(1UL << INTERCEPT_IRET);
+		svm->vmcb->control.intercept &= ~(1ULL << INTERCEPT_IRET);
 	}
 }
 
Stable (2.6.32.26) applied the patch, but since it doesn't habe
svm_set_nmi_mask(), its okay.
Debian on the other hand has the back-ported svm_set_nmi_mask() and
needs the above patch.

Sincerely
Philipp
-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
-- 
  / /  (_)__  __ ____  __ Philipp Hahn
 / /__/ / _ \/ // /\ \/ /
/____/_/_//_/\_,_/ /_/\_\ pmhahn@pmhahn.de




Bug No longer marked as fixed in versions linux-2.6/2.6.32-25 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 24 Nov 2010 14:36:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.32-27. Request was from Philipp Matthias Hahn <pmhahn@debian.org> to control@bugs.debian.org. (Wed, 24 Nov 2010 14:36:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599507; Package linux-2.6. (Wed, 24 Nov 2010 15:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 24 Nov 2010 15:03:05 GMT) Full text and rfc822 format available.

Message #33 received at 599507@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Philipp Matthias Hahn <pmhahn@debian.org>, 599507@bugs.debian.org
Subject: Re: Bug#599507: SVM: Fix wrong intercept masks on 32 bit
Date: Wed, 24 Nov 2010 15:00:33 +0000
[Message part 1 (text/plain, inline)]
On Wed, 2010-11-24 at 15:01 +0100, Philipp Matthias Hahn wrote:
> reopen 599507
> found 599507 2.6.32-27
> thanks
> 
> Package: linux-2.6.32
> Severity: normal
> 
> The bug is not fixed, since
> features/all/KVM-x86-Add-KVM_GET-SET_VCPU_EVENTS.patch from
> debian/pacthes/series/12 introduces the new function svm_set_nmi_mask(),
> which also has the wrong "1UL" instead of the correct "1ULL".
> 
> --- a/arch/x86/kvm/svm.c	2010-11-24 14:29:05.000000000 +0100
> +++ b/arch/x86/kvm/svm.c	2010-11-24 13:24:35.000000000 +0100
> @@ -2566,10 +2479,10 @@ static void svm_set_nmi_mask(struct kvm_
>  
>  	if (masked) {
>  		svm->vcpu.arch.hflags |= HF_NMI_MASK;
> -		svm->vmcb->control.intercept |= (1UL << INTERCEPT_IRET);
> +		svm->vmcb->control.intercept |= (1ULL << INTERCEPT_IRET);
>  	} else {
>  		svm->vcpu.arch.hflags &= ~HF_NMI_MASK;
> -		svm->vmcb->control.intercept &= ~(1UL << INTERCEPT_IRET);
> +		svm->vmcb->control.intercept &= ~(1ULL << INTERCEPT_IRET);
>  	}
>  }
>  
> Stable (2.6.32.26) applied the patch, but since it doesn't habe
> svm_set_nmi_mask(), its okay.
> Debian on the other hand has the back-ported svm_set_nmi_mask() and
> needs the above patch.

Sorry, I hadn't thought of that.  I'll apply this patch, thanks.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Wed, 24 Nov 2010 16:00:14 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Thu, 25 Nov 2010 17:21:11 GMT) Full text and rfc822 format available.

Notification sent to Philipp Hahn <hahn@univention.de>:
Bug acknowledged by developer. (Thu, 25 Nov 2010 17:21:12 GMT) Full text and rfc822 format available.

Message #40 received at 599507-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 599507-close@bugs.debian.org
Subject: Bug#599507: fixed in linux-2.6 2.6.32-28
Date: Thu, 25 Nov 2010 17:18:30 +0000
Source: linux-2.6
Source-Version: 2.6.32-28

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.32-28_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.32-28_all.deb
linux-2.6_2.6.32-28.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.32-28.diff.gz
linux-2.6_2.6.32-28.dsc
  to main/l/linux-2.6/linux-2.6_2.6.32-28.dsc
linux-base_2.6.32-28_all.deb
  to main/l/linux-2.6/linux-base_2.6.32-28_all.deb
linux-doc-2.6.32_2.6.32-28_all.deb
  to main/l/linux-2.6/linux-doc-2.6.32_2.6.32-28_all.deb
linux-manual-2.6.32_2.6.32-28_all.deb
  to main/l/linux-2.6/linux-manual-2.6.32_2.6.32-28_all.deb
linux-patch-debian-2.6.32_2.6.32-28_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.32_2.6.32-28_all.deb
linux-source-2.6.32_2.6.32-28_all.deb
  to main/l/linux-2.6/linux-source-2.6.32_2.6.32-28_all.deb
linux-support-2.6.32-5_2.6.32-28_all.deb
  to main/l/linux-2.6/linux-support-2.6.32-5_2.6.32-28_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 599507@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 25 Nov 2010 01:20:50 +0000
Source: linux-2.6
Binary: linux-tools-2.6.32 linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-5 linux-base linux-libc-dev linux-headers-2.6.32-5-all linux-headers-2.6.32-5-all-alpha linux-headers-2.6.32-5-common linux-image-2.6.32-5-alpha-generic linux-headers-2.6.32-5-alpha-generic linux-image-2.6.32-5-alpha-smp linux-headers-2.6.32-5-alpha-smp linux-image-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-all-amd64 linux-image-2.6.32-5-amd64 linux-headers-2.6.32-5-amd64 linux-image-2.6.32-5-amd64-dbg linux-headers-2.6.32-5-common-openvz linux-image-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-openvz-amd64 linux-image-2.6.32-5-openvz-amd64-dbg linux-headers-2.6.32-5-common-vserver linux-image-2.6.32-5-vserver-amd64 linux-headers-2.6.32-5-vserver-amd64 linux-image-2.6.32-5-vserver-amd64-dbg linux-headers-2.6.32-5-common-xen linux-image-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64-dbg xen-linux-system-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-all-armel linux-image-2.6.32-5-iop32x linux-headers-2.6.32-5-iop32x linux-image-2.6.32-5-ixp4xx linux-headers-2.6.32-5-ixp4xx linux-image-2.6.32-5-kirkwood linux-headers-2.6.32-5-kirkwood linux-image-2.6.32-5-orion5x linux-headers-2.6.32-5-orion5x linux-image-2.6.32-5-versatile linux-headers-2.6.32-5-versatile linux-headers-2.6.32-5-all-hppa linux-image-2.6.32-5-parisc linux-headers-2.6.32-5-parisc linux-image-2.6.32-5-parisc-smp linux-headers-2.6.32-5-parisc-smp linux-image-2.6.32-5-parisc64 linux-headers-2.6.32-5-parisc64 linux-image-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-all-i386 linux-image-2.6.32-5-486 linux-headers-2.6.32-5-486 linux-image-2.6.32-5-686 linux-headers-2.6.32-5-686 linux-image-2.6.32-5-686-bigmem linux-headers-2.6.32-5-686-bigmem linux-image-2.6.32-5-686-bigmem-dbg linux-image-2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-686 linux-image-2.6.32-5-openvz-686-dbg linux-image-2.6.32-5-vserver-686 linux-headers-2.6.32-5-vserver-686 linux-image-2.6.32-5-vserver-686-bigmem linux-headers-2.6.32-5-vserver-686-bigmem linux-image-2.6.32-5-vserver-686-bigmem-dbg linux-image-2.6.32-5-xen-686 linux-headers-2.6.32-5-xen-686 linux-image-2.6.32-5-xen-686-dbg xen-linux-system-2.6.32-5-xen-686 linux-headers-2.6.32-5-all-ia64 linux-image-2.6.32-5-itanium linux-headers-2.6.32-5-itanium linux-image-2.6.32-5-mckinley linux-headers-2.6.32-5-mckinley linux-image-2.6.32-5-vserver-itanium linux-headers-2.6.32-5-vserver-itanium linux-image-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-all-m68k linux-image-2.6.32-5-amiga linux-headers-2.6.32-5-amiga linux-image-2.6.32-5-atari linux-headers-2.6.32-5-atari linux-image-2.6.32-5-bvme6000 linux-headers-2.6.32-5-bvme6000 linux-image-2.6.32-5-mac linux-headers-2.6.32-5-mac
 linux-image-2.6.32-5-mvme147 linux-headers-2.6.32-5-mvme147 linux-image-2.6.32-5-mvme16x linux-headers-2.6.32-5-mvme16x linux-headers-2.6.32-5-all-mips linux-image-2.6.32-5-r4k-ip22 linux-headers-2.6.32-5-r4k-ip22 linux-image-2.6.32-5-r5k-ip32 linux-headers-2.6.32-5-r5k-ip32 linux-image-2.6.32-5-sb1-bcm91250a linux-headers-2.6.32-5-sb1-bcm91250a linux-image-2.6.32-5-sb1a-bcm91480b linux-headers-2.6.32-5-sb1a-bcm91480b linux-image-2.6.32-5-4kc-malta linux-headers-2.6.32-5-4kc-malta linux-image-2.6.32-5-5kc-malta linux-headers-2.6.32-5-5kc-malta linux-headers-2.6.32-5-all-mipsel linux-image-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-all-powerpc linux-image-2.6.32-5-powerpc linux-headers-2.6.32-5-powerpc linux-image-2.6.32-5-powerpc-smp linux-headers-2.6.32-5-powerpc-smp linux-image-2.6.32-5-powerpc64 linux-headers-2.6.32-5-powerpc64 linux-image-2.6.32-5-vserver-powerpc linux-headers-2.6.32-5-vserver-powerpc
 linux-image-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-all-s390 linux-image-2.6.32-5-s390x linux-headers-2.6.32-5-s390x linux-image-2.6.32-5-s390x-tape linux-image-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-all-sh4 linux-image-2.6.32-5-sh7751r linux-headers-2.6.32-5-sh7751r linux-image-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-all-sparc linux-image-2.6.32-5-sparc64 linux-headers-2.6.32-5-sparc64 linux-image-2.6.32-5-sparc64-smp linux-headers-2.6.32-5-sparc64-smp linux-image-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-all-sparc64
Architecture: all source
Version: 2.6.32-28
Distribution: unstable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 589945 590607 599507 599771 602152 602520 602945 603395 603419 603651
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-5-486 - Header files for Linux 2.6.32-5-486
 linux-headers-2.6.32-5-4kc-malta - Header files for Linux 2.6.32-5-4kc-malta
 linux-headers-2.6.32-5-5kc-malta - Header files for Linux 2.6.32-5-5kc-malta
 linux-headers-2.6.32-5-686-bigmem - Header files for Linux 2.6.32-5-686-bigmem
 linux-headers-2.6.32-5-686 - Header files for Linux 2.6.32-5-686
 linux-headers-2.6.32-5-all - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-alpha - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-amd64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-armel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-hppa - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-i386 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-ia64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-m68k - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mips - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mipsel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-powerpc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-s390 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sh4 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-alpha-generic - Header files for Linux 2.6.32-5-alpha-generic
 linux-headers-2.6.32-5-alpha-legacy - Header files for Linux 2.6.32-5-alpha-legacy
 linux-headers-2.6.32-5-alpha-smp - Header files for Linux 2.6.32-5-alpha-smp
 linux-headers-2.6.32-5-amd64 - Header files for Linux 2.6.32-5-amd64
 linux-headers-2.6.32-5-amiga - Header files for Linux 2.6.32-5-amiga
 linux-headers-2.6.32-5-atari - Header files for Linux 2.6.32-5-atari
 linux-headers-2.6.32-5-bvme6000 - Header files for Linux 2.6.32-5-bvme6000
 linux-headers-2.6.32-5-common - Common header files for Linux 2.6.32-5
 linux-headers-2.6.32-5-common-openvz - Common header files for Linux 2.6.32-5-openvz
 linux-headers-2.6.32-5-common-vserver - Common header files for Linux 2.6.32-5-vserver
 linux-headers-2.6.32-5-common-xen - Common header files for Linux 2.6.32-5-xen
 linux-headers-2.6.32-5-iop32x - Header files for Linux 2.6.32-5-iop32x
 linux-headers-2.6.32-5-itanium - Header files for Linux 2.6.32-5-itanium
 linux-headers-2.6.32-5-ixp4xx - Header files for Linux 2.6.32-5-ixp4xx
 linux-headers-2.6.32-5-kirkwood - Header files for Linux 2.6.32-5-kirkwood
 linux-headers-2.6.32-5-mac - Header files for Linux 2.6.32-5-mac
 linux-headers-2.6.32-5-mckinley - Header files for Linux 2.6.32-5-mckinley
 linux-headers-2.6.32-5-mvme147 - Header files for Linux 2.6.32-5-mvme147
 linux-headers-2.6.32-5-mvme16x - Header files for Linux 2.6.32-5-mvme16x
 linux-headers-2.6.32-5-openvz-686 - Header files for Linux 2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-amd64 - Header files for Linux 2.6.32-5-openvz-amd64
 linux-headers-2.6.32-5-orion5x - Header files for Linux 2.6.32-5-orion5x
 linux-headers-2.6.32-5-parisc64 - Header files for Linux 2.6.32-5-parisc64
 linux-headers-2.6.32-5-parisc64-smp - Header files for Linux 2.6.32-5-parisc64-smp
 linux-headers-2.6.32-5-parisc - Header files for Linux 2.6.32-5-parisc
 linux-headers-2.6.32-5-parisc-smp - Header files for Linux 2.6.32-5-parisc-smp
 linux-headers-2.6.32-5-powerpc64 - Header files for Linux 2.6.32-5-powerpc64
 linux-headers-2.6.32-5-powerpc - Header files for Linux 2.6.32-5-powerpc
 linux-headers-2.6.32-5-powerpc-smp - Header files for Linux 2.6.32-5-powerpc-smp
 linux-headers-2.6.32-5-r4k-ip22 - Header files for Linux 2.6.32-5-r4k-ip22
 linux-headers-2.6.32-5-r5k-cobalt - Header files for Linux 2.6.32-5-r5k-cobalt
 linux-headers-2.6.32-5-r5k-ip32 - Header files for Linux 2.6.32-5-r5k-ip32
 linux-headers-2.6.32-5-s390x - Header files for Linux 2.6.32-5-s390x
 linux-headers-2.6.32-5-sb1a-bcm91480b - Header files for Linux 2.6.32-5-sb1a-bcm91480b
 linux-headers-2.6.32-5-sb1-bcm91250a - Header files for Linux 2.6.32-5-sb1-bcm91250a
 linux-headers-2.6.32-5-sh7751r - Header files for Linux 2.6.32-5-sh7751r
 linux-headers-2.6.32-5-sh7785lcr - Header files for Linux 2.6.32-5-sh7785lcr
 linux-headers-2.6.32-5-sparc64 - Header files for Linux 2.6.32-5-sparc64
 linux-headers-2.6.32-5-sparc64-smp - Header files for Linux 2.6.32-5-sparc64-smp
 linux-headers-2.6.32-5-versatile - Header files for Linux 2.6.32-5-versatile
 linux-headers-2.6.32-5-vserver-686-bigmem - Header files for Linux 2.6.32-5-vserver-686-bigmem
 linux-headers-2.6.32-5-vserver-686 - Header files for Linux 2.6.32-5-vserver-686
 linux-headers-2.6.32-5-vserver-amd64 - Header files for Linux 2.6.32-5-vserver-amd64
 linux-headers-2.6.32-5-vserver-itanium - Header files for Linux 2.6.32-5-vserver-itanium
 linux-headers-2.6.32-5-vserver-mckinley - Header files for Linux 2.6.32-5-vserver-mckinley
 linux-headers-2.6.32-5-vserver-powerpc64 - Header files for Linux 2.6.32-5-vserver-powerpc64
 linux-headers-2.6.32-5-vserver-powerpc - Header files for Linux 2.6.32-5-vserver-powerpc
 linux-headers-2.6.32-5-vserver-s390x - Header files for Linux 2.6.32-5-vserver-s390x
 linux-headers-2.6.32-5-vserver-sparc64 - Header files for Linux 2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-xen-686 - Header files for Linux 2.6.32-5-xen-686
 linux-headers-2.6.32-5-xen-amd64 - Header files for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-5-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-5-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-5-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-686-bigmem
 linux-image-2.6.32-5-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-5-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-5-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-5-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-5-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-5-amd64-dbg - Debugging infos for Linux 2.6.32-5-amd64
 linux-image-2.6.32-5-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-5-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-5-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-5-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-5-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-5-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-5-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-5-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-5-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-5-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-5-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-5-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-5-openvz-686-dbg - Debugging infos for Linux 2.6.32-5-openvz-686
 linux-image-2.6.32-5-openvz-686 - Linux 2.6.32 for modern PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-amd64-dbg - Debugging infos for Linux 2.6.32-5-openvz-amd64
 linux-image-2.6.32-5-openvz-amd64 - Linux 2.6.32 for 64-bit PCs, OpenVZ support
 linux-image-2.6.32-5-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-5-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-5-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-5-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-5-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-5-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-5-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-5-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-5-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-5-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-5-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-5-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-5-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-5-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-5-sh7751r - Linux 2.6.32 for sh7751r
 linux-image-2.6.32-5-sh7785lcr - Linux 2.6.32 for sh7785lcr
 linux-image-2.6.32-5-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-versatile - Linux 2.6.32 for Versatile
 linux-image-2.6.32-5-vserver-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-vserver-686-bigmem
 linux-image-2.6.32-5-vserver-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM, Linux-VServer support
 linux-image-2.6.32-5-vserver-686 - Linux 2.6.32 for modern PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-amd64-dbg - Debugging infos for Linux 2.6.32-5-vserver-amd64
 linux-image-2.6.32-5-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-itanium - Linux 2.6.32 for Itanium, Linux-VServer support
 linux-image-2.6.32-5-vserver-mckinley - Linux 2.6.32 for Itanium II, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc64 - Linux 2.6.32 for 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC, Linux-VServer suppo
 linux-image-2.6.32-5-vserver-s390x - Linux 2.6.32 for IBM zSeries, Linux-VServer support
 linux-image-2.6.32-5-vserver-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC, Linux-VServer su
 linux-image-2.6.32-5-xen-686-dbg - Debugging infos for Linux 2.6.32-5-xen-686
 linux-image-2.6.32-5-xen-686 - Linux 2.6.32 for modern PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-amd64-dbg - Debugging infos for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64 - Linux 2.6.32 for 64-bit PCs, Xen dom0 support
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-5 - Support files for Linux 2.6.32
 linux-tools-2.6.32 - Performance analysis tools for Linux 2.6.32
 xen-linux-system-2.6.32-5-xen-686 - Xen system with Linux 2.6.32 on modern PCs (meta-package)
 xen-linux-system-2.6.32-5-xen-amd64 - Xen system with Linux 2.6.32 on 64-bit PCs (meta-package)
Changes: 
 linux-2.6 (2.6.32-28) unstable; urgency=high
 .
   [ maximilian attems ]
   * ipc: initialize structure memory to zero for shmctl.
   * drm/i915: set DIDL using the ACPI video output device _ADR method return.
   * images: Nuke modules.devname on removal. (closes: #590607)
   * Newer Standards-Version 3.9.1 without changes.
   * drm/ttm: Clear the ghost cpu_writers flag on ttm_buffer_object_transfer.
   * [openvz] Update upstream patch to 2.6.32-dzhanibekov.
   * [openvz] ubc: Fix orphan count checks after merge.
 .
   [ Martin Michlmayr ]
   * Update udlfb to 2.6.37:
     - udlfb: minor cleanups
     - udlfb: fix coding style issues
     - udlfb: fbdev character read and write support
     - udlfb: add DPMS support
     - udlfb: remove metrics_misc sysfs attribute
     - udlfb: revamp reference handling to insure successful shutdown
     - udlfb: enhance EDID and mode handling support
     - udlfb: fix big endian rendering error
     - udlfb: support for writing backup EDID to sysfs file
     - udlfb: add module options for console and fb_defio
     - udlfb: fix incorrect fb_defio implementation for multiple framebuffers
     - udlfb: fix checkpatch and style
 .
   [ Ben Hutchings ]
   * Update debconf template translations:
     - Update Japanese (Nobuhiro Iwamatsu) (Closes: #602152)
     - Update Catalan (Jordi Mallach) (Closes: #602520)
     - Add Italian (Luca Bruno) (Closes: #602945)
   * sunrpc: Fix NFS client over TCP hangs due to packet loss (Closes: #589945)
   * brcm80211: Update to 2.6.37-rc1
   * [powerpc] ALSA: Fix headphone and line-out detection on PowerMac G4 DA
     (Closes: #603419)
   * [x86] snd-hda-codec-cirrus: Add quirks for IMac 27", MacBookPro 5,5 and 7,1
   * [x86] btusb: Add device IDs for MacBookPro 6,2 and 7,1 (Closes: #603651)
   * [x86] applesmc: Add support for iMac 9,1 and MacBookPro 2,2, 5,3, 5,4, 6,*
     and 7,*
   * [x86] applesmc, bcm5974, btusb, HID, mbp_nvidia_bl, snd-hda-codec-cirrus:
     Add support for MacBookAir 3,1 and 3,2 (Closes: #603395)
   * [x86] mbp_nvidia_bl: Add support for MacBookPro 7,1
   * x25: Fix remote denial-of-service vulnerabilities:
     - x25 accesses fields beyond end of packet
     - memory corruption in X.25 facilities parsing (CVE-2010-3873)
     - Prevent crashing when parsing bad X.25 facilities (CVE-2010-4164)
   * tcp: Increase TCP_MAXSEG socket option minimum (CVE-2010-4165)
   * rds: Fix integer overflow in RDS cmsg handling
   * af_802154,decnet,econet,rds,x25: Disable auto-loading as mitigation
     against local exploits.  These protocol modules are not widely used
     and can be explicitly loaded or aliased on systems where they are
     wanted.
   * atl1c: Add support for Atheros AR8151 and AR8152 (Closes: #599771)
   * Add stable 2.6.32.26:
     - synclink_cs: Fix information leak to userland
     - bluetooth: Fix missing NULL check
     - [x86] KVM: VMX: Fix host GDT.LIMIT corruption
     - [x86] KVM: Fix fs/gs reload oops with invalid ldt (CVE-2010-3698)
     - gdth: Fix integer overflow in ioctl (CVE-2010-4157)
   * [x86] KVM: SVM: Fix wrong intercept masks for KVM_{GET,SET}_VCPU_EVENTS
     on 32 bit, thanks to Philipp Matthias Hahn (Closes: #599507)
 .
   [ dann frazier ]
   * [vserver] Update patch to 2.6.32.25-vs2.3.0.36.29.6
   * add qlcnic driver
   * econet: Avoid stack overflow w/ large msgiovlen (CVE-2010-3848)
   * econet: disallow NULL remote addr for sendmsg() (CVE-2010-3849)
   * econet: Add mising CAP_NET_ADMIN check in SIOCSIFADDR (CVE-2010-3850)
Checksums-Sha1: 
 904e418acbb1e441a635aac55c2f8f295decc036 6969 linux-2.6_2.6.32-28.dsc
 fbc8116e72014e18271e3977fac2f07f492beccb 14323027 linux-2.6_2.6.32-28.diff.gz
 1935df3fd770766a3ab74e57f7d1a81a5847679a 6048762 linux-doc-2.6.32_2.6.32-28_all.deb
 56f381a8f46650350e9fc6b7771cd0f8916bbe44 2729920 linux-manual-2.6.32_2.6.32-28_all.deb
 573815b43810c783934d10b2df9e3a663e22168b 7475180 linux-patch-debian-2.6.32_2.6.32-28_all.deb
 8ff75b76f99476c3ac14d792d2f0f89e15fb032a 65049034 linux-source-2.6.32_2.6.32-28_all.deb
 991e873f247c69f5c463bb8437a62d2579afd11b 154344 linux-support-2.6.32-5_2.6.32-28_all.deb
 46477edcc1e4bd63f00f86cffcfbabfee181b1d0 142802 firmware-linux-free_2.6.32-28_all.deb
 94caa4462da25bd5e25334239b38da57eec267d4 163756 linux-base_2.6.32-28_all.deb
Checksums-Sha256: 
 a71d9b9c09a87d165e8c3a7049146cc7b34332ad323b8afc866eaf3c6a3e7e26 6969 linux-2.6_2.6.32-28.dsc
 4e96331de777da04b41a1f6b67d1659f5c0f3f863e67c0b3d198237fc223e3fa 14323027 linux-2.6_2.6.32-28.diff.gz
 40bd665e43fcc6aff20f689755b8332d8edd767ef6e05349e9cfab32d083224b 6048762 linux-doc-2.6.32_2.6.32-28_all.deb
 98ebecadc19b427ef26ea04e0b4523061ea71e1dc5c1ada0f4724884db92f51d 2729920 linux-manual-2.6.32_2.6.32-28_all.deb
 2e6a4f1fa297119252ec2d7a9ea146c110d179f2ccfbcba26010182e72fcc57c 7475180 linux-patch-debian-2.6.32_2.6.32-28_all.deb
 56008a481aa15bf7c6051f758059eb9913fff6d5d84087f6e53eb2e61e4e43b2 65049034 linux-source-2.6.32_2.6.32-28_all.deb
 97639fbc99b8888335764100ff06d3dd4db41bcb2eb35e910c7a328c3ae0aabc 154344 linux-support-2.6.32-5_2.6.32-28_all.deb
 40413cedbd1aa770c1a0249989664f6e822bdb753a64c33fc859990ad8f32c52 142802 firmware-linux-free_2.6.32-28_all.deb
 bba9f008e341b75b93840cff57a1fa24cbd3dbae2af5586ce925b09929b24426 163756 linux-base_2.6.32-28_all.deb
Files: 
 949ad04cfb13b2b7b7ff56711d62fbe2 6969 kernel optional linux-2.6_2.6.32-28.dsc
 f7c0339ea430247bf5c722389abb47b4 14323027 kernel optional linux-2.6_2.6.32-28.diff.gz
 b1bf2135c80c4b8f292c1b1a66e7b741 6048762 doc optional linux-doc-2.6.32_2.6.32-28_all.deb
 40a55c0d582c98e8b953b951005bc902 2729920 doc optional linux-manual-2.6.32_2.6.32-28_all.deb
 389cac2e21cc83c4866d514810930333 7475180 kernel optional linux-patch-debian-2.6.32_2.6.32-28_all.deb
 da3327518490d3a8fe272edc4143276a 65049034 kernel optional linux-source-2.6.32_2.6.32-28_all.deb
 ed88738ac71d89a4b5663b864a65aa30 154344 devel optional linux-support-2.6.32-5_2.6.32-28_all.deb
 b29a3ebdb86c0d2e7a4ec79445b4abe5 142802 kernel optional firmware-linux-free_2.6.32-28_all.deb
 aaaa566ffe15009a0ade008046adb2ed 163756 kernel optional linux-base_2.6.32-28_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBTO6QF+e/yOyVhhEJAQqjqA/9E7SDrjLR1l8/z8q2KCkT9yPUuWXEf50r
952psSzsYuoPbtGDvwtacl4E7ndEj+uI0NbbOfMyxmeMGGSndJTGykpy4dCiIS1s
G9T8eGgeydBfWWIcVtBEQYPVzOhzZTfmnb+DsV7/a6lptkS5Av/4zaiYDku29/Rh
zzwvpxcfK7+LC2ET4iWAvebBc88ixwthuwt4TwjHVTnP24UfKi5EW8LEK2Gv+uUc
Y6CfcGKNJNPiS4gsPhE2WV1krDp8UfGR0wi5tGOb6N03V+WrUdlDCvSq5HT2NcW8
+ZGk/OYKRwyE/KExCS6D08UsIpVormmFvTghCF+qQ8Q5O0Tvbz68jYOyaoixk+i1
/jCNbH7K7JTh1WzDxy4YZao1wgWRPv36lZ0gcfJ+guVDBoEF/8Xar9pUZio+EC3e
I0zxUuU02Xdm1nj1yi7I6ZPltO1mn4FlY0Tv+REeV1wGknRA/ucXkO2s0Y/10gRF
tumEDo/iI8Eau1NSCm8L8Vc8sW0oXmgLWjc6n5H4zfzRQPYujIqctSRE88XmCB+j
UPF+TCzIn2k5MmQlL5zfRqqtc7q/acYYbZvnNOED53c5h5ORmzqk69uld6QLCeTA
IC6Dy/uwJoBAHHaaoqJXhtZmdkDGlpI7KNouKDCoVLPqYhjsWaXvVDntz32gH+kt
lPkHp4kRcd4=
=WKuR
-----END PGP SIGNATURE-----





Forcibly Merged 599507 604604. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 28 Nov 2010 16:54:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Jan 2011 07:32:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 18:57:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.